cURL
curl "https://api.ornnai.com/api/memory-index" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
resp = requests.get(
"https://api.ornnai.com/api/memory-index",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = resp.json()
const res = await fetch("https://api.ornnai.com/api/memory-index", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const data = await res.json();
<?php
$ch = curl_init("https://api.ornnai.com/api/memory-index");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer YOUR_API_KEY"],
]);
$data = json_decode(curl_exec($ch), true);
package main
import (
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.ornnai.com/api/memory-index", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
_ = body
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder(
URI.create("https://api.ornnai.com/api/memory-index"))
.header("Authorization", "Bearer YOUR_API_KEY")
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
require "net/http"
require "json"
uri = URI("https://api.ornnai.com/api/memory-index")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
{
"success": true,
"date": "2026-01-01T00:00:00.000Z",
"data": [
{
"memoryType": "DDR4 16Gb (2Gx8) 3200",
"category": "dram",
"price": 40,
"changePct": 0,
"weeklyHigh": 50,
"weeklyLow": 30,
"sourceUpdatedAt": "2026-01-01T00:00:00.000Z",
"date": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"count": 14
}{
"error": "Unauthorized",
"message": "API key required. Use Authorization: Bearer YOUR_API_KEY"
}{
"error": "No data available",
"message": "No daily index data found for H100 SXM"
}Get current memory spot prices
Current memory spot prices. With no params, returns all types. Narrow with type or category.
GET
/
api
/
memory-index
cURL
curl "https://api.ornnai.com/api/memory-index" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
resp = requests.get(
"https://api.ornnai.com/api/memory-index",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = resp.json()
const res = await fetch("https://api.ornnai.com/api/memory-index", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const data = await res.json();
<?php
$ch = curl_init("https://api.ornnai.com/api/memory-index");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer YOUR_API_KEY"],
]);
$data = json_decode(curl_exec($ch), true);
package main
import (
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.ornnai.com/api/memory-index", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
_ = body
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder(
URI.create("https://api.ornnai.com/api/memory-index"))
.header("Authorization", "Bearer YOUR_API_KEY")
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
require "net/http"
require "json"
uri = URI("https://api.ornnai.com/api/memory-index")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
{
"success": true,
"date": "2026-01-01T00:00:00.000Z",
"data": [
{
"memoryType": "DDR4 16Gb (2Gx8) 3200",
"category": "dram",
"price": 40,
"changePct": 0,
"weeklyHigh": 50,
"weeklyLow": 30,
"sourceUpdatedAt": "2026-01-01T00:00:00.000Z",
"date": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"count": 14
}{
"error": "Unauthorized",
"message": "API key required. Use Authorization: Bearer YOUR_API_KEY"
}{
"error": "No data available",
"message": "No daily index data found for H100 SXM"
}Overview
Current memory spot prices. With no params, returns all types. Narrow with type or category.Authorizations
API key passed as a Bearer token. Create one in the dashboard.
Query Parameters
A single memory type. Returns one object.
dram, flash, or module. Returns an array.
Available options:
dram, flash, module Response
Memory prices.
⌘I

